extends Node2D

var sprite
var area
var collider
var loadedScript

export(String, FILE, "*.gd") var scriptName

# Called when the node enters the scene tree for the first time.
func _ready():
	sprite = get_node("Sprite")
	area = get_node("Area2D")
	loadedScript = load(scriptName).new()
	area.connect("body_entered", self, "onBodyEntered")

func onBodyEntered(body):	
	body.addCoroutine(loadedScript.StartEffect(body))
	queue_free()
